View Issue Details

IDProjectCategoryView StatusLast Update
0014429MediaMonkey 5Main Panelpublic2020-09-26 22:16
Reporterrusty Assigned To 
PriorityurgentSeveritymajorReproducibilityalways
Status assignedResolutionreopened 
Product Version5.0 
Target Version5.0Fixed in Version5.0 
Summary0014429: Drag and Drop to another app fails
DescriptionSelection of a track and then drag and drop to another app such as Skype (for sending) fails.

In contrast, this works fine using Explorer.
Additional Informationhttps://www.mediamonkey.com/forum/viewtopic.php?f=10&t=96954
https://www.mediamonkey.com/forum/viewtopic.php?f=30&t=97431
TagsNo tags attached.
Fixed in build2090

Relationships

related to 0016000 closedpetr MediaMonkey 5 Copy & Paste of files problems 
related to 0014597 assignedLudek MediaMonkey (current) Drag and Drop: D&D do not work from MMW now playing to Skype chat Window 
related to 0015287 feedbackpetr MediaMonkey 5 Drag&Drop improvements (Internal to MediaMonkey) 
related to 0014039 closedpetr MediaMonkey 5 D&D of files from outside MediaMonkey fails 
related to 0015354 closedpetr MediaMonkey 5 Drag & Drop: User can't D&D directly to Playlist from File explorer 
related to 0015884 closedLudek MediaMonkey 5 Pasting to an empty directory fails 
related to 0016543 assignedpetr MediaMonkey 5 D&D: Drag and Drop MM4 -> MM5 Now playing do not work 
related to 0016545 newpeke MediaMonkey 5 File Operation: Basic Drag and Drop, Copy/Paste issues in MM5 

Activities

petr

2017-12-14 22:07

developer   ~0049417

For skype just URL text is supported (same as when trying to drop image from chrome to skype).

Ludek

2017-12-18 16:31

developer   ~0049423

Last edited: 2017-12-18 16:33

View 2 revisions

Re-opened, the fix (SVN revision 30334) caused regressions.
e.g. D&D in Now Playing doesn't work anymore.

petr

2017-12-18 23:25

developer   ~0049432

Fixed

peke

2018-01-01 14:00

developer   ~0049467

Just as reference, Image editors uses different approach as you can Copy non saved/selected parts of image in XNView/GIMP/PhotoShop/HyperSnap/.... and paste/DragAndDrop it in Skype

peke

2018-03-06 23:56

developer   ~0049688

Still not working.

Also if MM5 Window is not in Focus Drag and Drop can't be initiated unless user firstly put MM5 to focus and then Drag and drop.

Video is uploaded to FTP.

peke

2018-03-07 00:57

developer   ~0049690

Drag and Drop from Total Commander to Now playing also do not work

petr

2018-03-08 11:58

developer   ~0049696

Last edited: 2018-03-08 13:22

View 2 revisions

D&D from Explorer/TC to NP fixed. Image editors can use their own D&D code, but we're using chromium so it's limited to 'browser' restrictions.

Ludek

2018-07-19 21:43

developer   ~0050790

Last edited: 2018-07-19 21:46

View 2 revisions

Further D&D issues reported as items 17-19 here: http://www.mediamonkey.com/forum/viewtopic.php?f=30&t=90436#p447504

rusty

2019-01-04 21:17

administrator   ~0051941

Last edited: 2019-01-29 16:55

View 2 revisions

I've elaborated on this issues below and raised the priority:

17) [Reported by user] Tried to drag & drop a track from MM5 to Rekordbox/Mp3tag and it didn't work. (works in MM4)
Note from Rusty: When I try to drag and drop a single track from MM5's tracklist to FreeCommander, it works as expected. However, when I try to drag and drop multiple tracks, only the last track is copied.

17b) Reported by Rusty: Copy and Paste (single track or multiple tracks) from MM5's tracklist to FreeCommander OR Skype fails.

18) [Reported by user] Move a file by drag & drop into a folder from left Tree View list. (works is MM4)

19) [Reported by user] If i try to drag & drop a track from explorer into another program and MM5 is opened in the background, the operations trigger a "down" infinite scroll in MM5 and the only measure is to exit the program.

Added by Rusty: a similar problem is that if the user attempts to drag a track(s) from MM5 to Explorer, as the track is dragged into Explorer, the MM5 tracklist continues to scroll even after the cursor has exited MM5, causing the user to lose his/her position in the tracklist.

peke

2020-07-17 19:19

developer   ~0059000

17b) It also do not work with VLC User report https://www.mediamonkey.com/forum/viewtopic.php?f=10&t=96954